# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('cms', '0013_urlconfrevision'),
    ]

    operations = [
        migrations.CreateModel(
            name='TopBanner',
            fields=[
                ('cmsplugin_ptr', models.OneToOneField(parent_link=True, auto_created=True, primary_key=True, serialize=False, to='cms.CMSPlugin')),
                ('css_classes', models.CharField(help_text='A list of CSS classes to apply to the placeholder', max_length=200, verbose_name='CSS classes', blank=True)),
                ('title', models.CharField(max_length=1000, verbose_name='Title')),
                ('subtitle', models.CharField(max_length=1000, verbose_name='Subtitle', blank=True)),
                ('body', models.TextField(verbose_name='Body', blank=True)),
                ('background', models.ImageField(upload_to=b'topbanner/%y/%m', verbose_name='Background image')),
                ('foreground', models.ImageField(upload_to=b'topbanner/%y/%m', verbose_name='Foreground image', blank=True)),
                ('extra_image', models.ImageField(upload_to=b'topbanner/%y/%m', verbose_name='Extra image', blank=True)),
            ],
            options={
                'verbose_name': 'Top banner',
                'verbose_name_plural': 'Top banners',
            },
            bases=('cms.cmsplugin',),
        ),
    ]
